cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
jle152
Level 2

Issue with merge modules

I am migrating a build system using InstallShield 2011 SAB from a 32 but Windows 7 System to a Windows 10 64 bit system.

The InstallShield build worked fine on the old system. On the new system, I get several errors related to merge modules, e.g.:

ISDEV : error -4075: File not found. An error occurred merging Module 'Microsoft_VC100_ATL_x86.AFA96EB4_FA9F_335C_A7CB_36079407553D:0' for Feature 'msws'.
ISDEV : error -4075: File not found. An error occurred merging Module 'Microsoft_VC100_CRT_x86.AFA96EB4_FA9F_335C_A7CB_36079407553D:0' for Feature 'msws'.
ISDEV : error -4075: File not found. An error occurred merging Module 'Microsoft_VC100_MFCLOC_x86.AFA96EB4_FA9F_335C_A7CB_36079407553D:0' for Feature 'msws'.
ISDEV : error -4075: File not found. An error occurred merging Module 'Microsoft_VC100_MFC_x86.AFA96EB4_FA9F_335C_A7CB_36079407553D:0' for Feature 'msws'.
ISDEV : error -4075: File not found. An error occurred merging Module 'Microsoft_VC100_OpenMP_x86.AFA96EB4_FA9F_335C_A7CB_36079407553D:0' for Feature 'msws'.

The .msm files are under C:\Program Files (x86)\Common Files\Merge Modules, but what is the AFA96EB4_FA9F_335C_A7CB_36079407553D:0 shown here in place of the extension? Is it identifying a specific version of a redistributable package?

Any suggestion welcome.

Thanks,

JLE

Labels (1)
0 Kudos
2 Replies
Revenera_Ian
Revenera Moderator Revenera Moderator
Revenera Moderator

Hi @jle152,

Thank you for your post.

InstallShield 2011 has reached its end-of-life so InstallShield 2011 is no longer supported. Please contact us via the Contact Us Form at the following link to upgrade to InstallShield 2021, which is the latest supported InstallShield version:

https://www.revenera.com/about-us/contact-us

Please let us know if you have any questions or concerns. Thanks!

0 Kudos

I am trying to update the machine building a product that is also near its end of life. The build system used InstallShield2011 SAB to produce the Installer. Switching to a newer version of InstallShield is not an option.

Thanks,
JL


-Bruker Confidential-
0 Kudos